<?php
if(!defined('INDEX')) { header('Location: ../'); exit; }
$pagea = 'print';
$titre = 'Vérification joueur';

	$template->assign('linkpage', 'vjoueurs');

if (!empty($_GET['id']) && !empty($_GET['key']) && $_GET['key'] != 'id') {
	$pagea = 'print_key';
	$id_plan = $_GET['id'];
	$key = $_GET['key'];
	$chapeau->connexion();
	$chapeau->escape($id_plan);
	$chapeau->escape($key);
	$reqJ = $chapeau->unique_query("SELECT * FROM $table_user WHERE id = '$id_plan';");
	$req = $chapeau->unique_query("DESCRIBE $table_user $key;");
	$chapeau->deconnexion();
	$template->assign('tableau', $reqJ);
	$template->assign('type', explode('(', $req['Type']));
	$template->assign('idPlan', $id_plan);
	$template->assign('key', $_GET['key']);
}
elseif (!empty($_GET['id'])) {
	$id_plan = $_GET['id'];
	if (isset($_POST['key']) && isset($_POST['mod'])) {
		$key = $_POST['key'];
		$mod = $_POST['mod'];
		$chapeau->connexion();
		$chapeau->escape($mod);
		$chapeau->escape($id_plan);
		$chapeau->query("UPDATE $table_user SET $key = '$mod' WHERE id = '$id_plan';");
		$chapeau->deconnexion();
	}
	$chapeau->connexion();
	$req = $chapeau->unique_query("SELECT * FROM $table_user WHERE id = '$id_plan';");
	$chapeau->deconnexion();
	$template->assign('tableau', $req);
	$template->assign('idPlan', $id_plan);
}
elseif (!empty($_GET['name'])) {
	$name = $_GET['name'];
	$chapeau->connexion();
	$chapeau->escape($name);
	$req = $chapeau->unique_query("SELECT * FROM $table_user WHERE pseudo = '$name';");
	$chapeau->deconnexion();
	header('Location: admin.php?p=vjoueurs&id='.$req['id']);
	exit;
}
else {
	$pagea = 'print_choixU';
}
?>